petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexTSComputeBoundary

Insert the essential boundary values for the local input X and/or its time derivative X_t using pointwise functions specified by the user

### Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMPlexTSComputeBoundary(DM dm, PetscReal time, Vec locX, Vec locX_t, void *user)

### Input Parameters

| dm | - The mesh
| t | - The time
| locX | - Local solution
| locX_t | - Local solution time derivative, or NULL
| user | - The user context

### See Also

DMPlexComputeJacobianActionFEM()

### Level

developer

### Location

src/ts/utils/dmplexts.c

### Examples

src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages